Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1390238 - Make bind build with OpenSSL 1.1.0
Summary: Make bind build with OpenSSL 1.1.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Michal Ruprich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1383740
TreeView+ depends on / blocked
 
Reported: 2016-10-31 14:40 UTC by Tomas Mraz
Modified: 2016-11-22 07:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 07:19:26 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Proposed patch (deleted)
2016-10-31 14:40 UTC, Tomas Mraz
no flags Details | Diff
Updated patch fixing a segfault on exit. (deleted)
2016-11-08 09:43 UTC, Tomas Mraz
no flags Details | Diff

Description Tomas Mraz 2016-10-31 14:40:30 UTC
Created attachment 1215834 [details]
Proposed patch

The attached patch allows building bind with OpenSSL 1.1.0 on Fedora. The patch makes the build to pass but it is not fully tested.

Comment 1 Tomáš Hozza 2016-10-31 14:48:47 UTC
From my conversation with Tomas, the patch is based on version 9.10 in Fedora. Also is missing some functionality not used in Fedora. They will need to be added before sending upstream (or at least pointed out to the upstream).

Comment 2 Tomas Mraz 2016-11-08 09:43:34 UTC
Created attachment 1218463 [details]
Updated patch fixing a segfault on exit.

Comment 3 Petr Menšík 2016-11-09 19:49:52 UTC
There is upstream patch for OpenSSL 1.1, check https://source.isc.org/cgi-bin/gitweb.cgi?p=bind9.git;a=commit;h=1fce0951ed172fc3834a3a379c4e00b78224cc5d

Seems a little bit more elegant.

Comment 4 Tomáš Hozza 2016-11-10 08:56:04 UTC
(In reply to Petr Menšík from comment #3)
> There is upstream patch for OpenSSL 1.1, check
> https://source.isc.org/cgi-bin/gitweb.cgi?p=bind9.git;a=commit;
> h=1fce0951ed172fc3834a3a379c4e00b78224cc5d
> 
> Seems a little bit more elegant.

Petr, we definitely want to use the patch from upstream if there is one. Thanks.

Comment 5 Tomas Mraz 2016-11-10 11:57:19 UTC
Sure, when I worked on the initial patch it was not there yet.

Comment 6 Michal Ruprich 2016-11-22 07:19:26 UTC
Fix is already in rawhide and the package has been rebased to bind 9.11 release. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=16476759


Note You need to log in before you can comment on or make changes to this bug.